curl "https://api.smartcar.com/v2.0/vehicles/{id}/service/history" \
-H "Authorization: Bearer {token}" \
-X "GET"
service = vehicle.request(
"GET",
"service/history"
)
const service = await vehicle.request(
"GET",
"service/history"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("service/history")
.build();
VehicleResponse service =vehicle.request(request);
Service = vehicle.request(
"GET",
"service/history"
)
{
"serviceId": null,
"odometerDistance": 46047.22,
"serviceDate": "2023-06-28T22:21:41.583Z",
"serviceTasks": [
{
"taskId": "3262",
"taskDescription": "Service Task 0"
},
{
"taskId": "3041",
"taskDescription": null
},
{
"taskId": null,
"taskDescription": null
}
],
"serviceDetails": [
{
"type": "Service Details Type 0",
"value": "Service Details Value 0"
},
{
"type": "Service Details Type 1",
"value": null
}
],
"serviceCost": {
"totalCost": null,
"currency": null
}
}
Vehicle Data
Service History
Retrieve service records tracked by the vehicle’s dealer or manually added by the vehicle owner. Currently supporting Ford, Lincoln, Toyota, Lexus, Mazda and Volkswagen (US)
curl "https://api.smartcar.com/v2.0/vehicles/{id}/service/history" \
-H "Authorization: Bearer {token}" \
-X "GET"
service = vehicle.request(
"GET",
"service/history"
)
const service = await vehicle.request(
"GET",
"service/history"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("service/history")
.build();
VehicleResponse service =vehicle.request(request);
Service = vehicle.request(
"GET",
"service/history"
)
{
"serviceId": null,
"odometerDistance": 46047.22,
"serviceDate": "2023-06-28T22:21:41.583Z",
"serviceTasks": [
{
"taskId": "3262",
"taskDescription": "Service Task 0"
},
{
"taskId": "3041",
"taskDescription": null
},
{
"taskId": null,
"taskDescription": null
}
],
"serviceDetails": [
{
"type": "Service Details Type 0",
"value": "Service Details Value 0"
},
{
"type": "Service Details Type 1",
"value": null
}
],
"serviceCost": {
"totalCost": null,
"currency": null
}
}
The Vehicles API v2.0 will be deprecated by Q4 of 2026. We recommend migrating to the latest version as soon as possible to ensure continued support and access to new features.
Permission
read_service_history
curl "https://api.smartcar.com/v2.0/vehicles/{id}/service/history" \
-H "Authorization: Bearer {token}" \
-X "GET"
service = vehicle.request(
"GET",
"service/history"
)
const service = await vehicle.request(
"GET",
"service/history"
);
SmartcarVehicleRequest request = new SmartcarVehicleRequest.Builder()
.method("GET")
.path("service/history")
.build();
VehicleResponse service =vehicle.request(request);
Service = vehicle.request(
"GET",
"service/history"
)
Request
PathThe vehicle ID of the vehicle you are making a request to.
Response
A unique identifier of the service record.
The date and time the vehicle was serviced
The odometer of the vehicle at time of service in kilometers.
Show serviceTasks
Show serviceTasks
Show service details
Show service details
Indicates if the service event was completed by a dealership or manually entered by the vehicle owner.
Show service cost
Show service cost
{
"serviceId": null,
"odometerDistance": 46047.22,
"serviceDate": "2023-06-28T22:21:41.583Z",
"serviceTasks": [
{
"taskId": "3262",
"taskDescription": "Service Task 0"
},
{
"taskId": "3041",
"taskDescription": null
},
{
"taskId": null,
"taskDescription": null
}
],
"serviceDetails": [
{
"type": "Service Details Type 0",
"value": "Service Details Value 0"
},
{
"type": "Service Details Type 1",
"value": null
}
],
"serviceCost": {
"totalCost": null,
"currency": null
}
}
Was this page helpful?
⌘I

